Main Page Widgets Namespaces Book

# Gtk::ImageMenuItem Class Reference
[Menu classes, Widgets]

Inheritance diagram for Gtk::ImageMenuItem:

[legend]
List of all members.

## Public Member Functions
virtual | ~ImageMenuItem ()
GtkImageMenuItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkImageMenuItem* | gobj () const
| Provides access to the underlying C GtkObject.
| ImageMenuItem ()
| ImageMenuItem (Widget& image, const Glib::ustring& label, bool mnemonic=false)
| ImageMenuItem (const Glib::ustring& label, bool mnemonic=false)
| ImageMenuItem (const StockID& id)
void | set_image (Widget& image)
| Sets the image of image_menu_item to the given widget.
Widget* | get_image ()
| Gets the widget that is currently set as the image of image_menu_item .
const Widget* | get_image () const
| Gets the widget that is currently set as the image of image_menu_item .
## Related Functions
(Note that these are not member functions.)
Gtk::ImageMenuItem* | wrap (GtkImageMenuItem* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::ImageMenuItem::~ImageMenuItem | ( |  | ) | `[virtual]`

Gtk::ImageMenuItem::ImageMenuItem | ( |  | ) |

Gtk::ImageMenuItem::ImageMenuItem | ( | Widget& | image,
|  | const Glib::ustring& | label,
|  | bool | mnemonic = false
| ) | `[explicit]`

Gtk::ImageMenuItem::ImageMenuItem | ( | const Glib::ustring& | label,
|  | bool | mnemonic = false
| ) | `[explicit]`

Gtk::ImageMenuItem::ImageMenuItem | ( | const StockID& | id | ) | `[explicit]`

## Member Function Documentation

const Widget* Gtk::ImageMenuItem::get_image | ( |  | ) | const

| Gets the widget that is currently set as the image of image_menu_item . See set_image(). Returns: The widget set as image of image_menu_item .

Widget* Gtk::ImageMenuItem::get_image | ( |  | ) |

| Gets the widget that is currently set as the image of image_menu_item . See set_image(). Returns: The widget set as image of image_menu_item .

const GtkImageMenuItem* Gtk::ImageMenuItem::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::MenuItem.

GtkImageMenuItem* Gtk::ImageMenuItem::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::MenuItem.

void Gtk::ImageMenuItem::set_image | ( | Widget& | image | ) |

  | Sets the image of image_menu_item to the given widget. Parameters:
  image | A widget to set as the image for the menu item.

## Friends And Related Function Documentation

Gtk::ImageMenuItem* wrap | ( | GtkImageMenuItem* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- imagemenuitem.h